<h5 class="n-e-album">New Album</h5>
<hr />
<%= form_with model: @album, id: "myForm", html: { multipart: true }, local: true do |f| %>
  <% if @album.errors.any? %>
    <% @album.errors.full_messages.each do |msg| %>
      <p class="alert alert-danger"><button class="close" data-dismiss="alert">x</button><%= msg %></p>
    <% end %>
  <% end %>

  <div class="row">

    <div class="col-xl-6 col-sm-12 mb-3 col-12">
      <%= f.label :title %><br />
      <%= f.text_field :title, autofocus: true, required: true, size: "25", maxlength: "140", autocomplete: "off", placeholder: "Album Title" %>
    </div>
    <div class="col-xl-6 col-sm-12 mb-3 col-12">
      <%= f.label :description %><br />
      <%= f.text_area :description, required: true, cols: "30", maxlength: "300", placeholder: "Album Description" %>
    </div>
    <div class="col-xl-4 col-sm-12 mb-3 col-12 form-group">
      <%= f.label "Sharing mode" %><br />
      <select name="album[mode]" id="album_mode" class="form-control">
        <option value="false">public</option>
        <option value="true">private</option>
      </select>
    </div>

    <div class="col-xl-4 offset-xl-2 col-sm-12 mb-3 col-12 sn-height">
      <label id="label-image" class="btn btn-outline-dark" style="vertical-align: center; text-align: center"><i class="far fa-image"></i> <span style="font-weight: bold; font-style: italic;">Photo</span><%= file_field_tag "images[]", type: :file, hidden: true, class: "fileUpload" %></label>
      <div class="ml5"><img alt="your image" class="portimg thumb hidden" src="#"></div>
    </div>

  </div>

  <hr />

  <input type="submit" id="upload" class="btn btn-outline-success float-right save-btn" value="Save">

<% end %>
